GetApiMcpServerCore

更新时间:
复制 MD 格式

Retrieves the details of a specified ApiMcpServerCore resource.

Operation description

This operation retrieves public information and does not access account-specific data, so authorization is not required.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

Test

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

GET /apimcpservercore HTTP/1.1

Request parameters

Parameter

Type

Required

Description

Example

id

string

Yes

The unique ID of the ApiMcpServerCore resource.

v6ZZ7ftCzEILW***

Response elements

Element

Type

Description

Example

object

The response object.

requestId

string

The request ID.

9BFC4AC1-6BE4-5405-BDEC-CA288D404812

id

string

The ID of the ApiMcpServerCore resource.

v6ZZ7ftCzEILW***

oauthClientId

string

The custom OAuth client ID for a custom OAuth configuration.

This feature supports only web and native applications. The OAuth scope must include /acs/mcp-server.

403*************370

createTime

string

The creation time of the ApiMcpServerCore resource.

2025-02-07T02:17:46Z

vpcWhitelists

array

The VPC whitelist. Each item is the ID of a source VPC.

string

The ID of a source VPC.

vpc-j6cgd2if5lg**0xs6m5se

enableAssumeRole

boolean

Indicates whether multi-account access is enabled.

true

assumeRoleOverridePolicy

string

The permission policy for the assume role operation.

{\"Version\":\"1\",\"Statement\":[]}

assumeRoleName

string

The name of the RAM role in the destination account to assume for cross-account operations when multi-account access is enabled.

test

publicAccessType

string

The public access type. Valid values:public (enabled),private (disabled), andinherit (uses the account-level settings).

public

enableCustomVpcWhitelist

boolean

Specifies if a custom VPC whitelist is enabled. If false, the service uses the account-level whitelist.

true

urls

object

Connection information for the ApiMcpServerCore resource.

sse

string

The connection information for Server-Sent Events (SSE).

https://mcpserverinner-pre.cn-zhangjiakou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse

mcp

string

The connection information for the streamable HTTP protocol. This protocol is recommended.

https://mcpserverinner-pre.cn-zhangjiakou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp

vpcSse

string

The connection address for SSE within a VPC.

https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse

vpcMcp

string

The connection address for the streamable HTTP protocol within a VPC.

https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp

requiredRamPolicy

string

The RAM policy required to use the ApiMcpServerCore resource.

{"Version":"1","Statement":[{"Effect":"Allow","Action":["ecs:Describe*"],"Resource":"*"}]}

Examples

Success response

JSON format

{
  "requestId": "\t\n9BFC4AC1-6BE4-5405-BDEC-CA288D404812\n",
  "id": "v6ZZ7ftCzEILW***",
  "oauthClientId": "403*************370",
  "createTime": "2025-02-07T02:17:46Z",
  "vpcWhitelists": [
    "vpc-j6cgd2if5lg**0xs6m5se"
  ],
  "enableAssumeRole": true,
  "assumeRoleOverridePolicy": "{\\\"Version\\\":\\\"1\\\",\\\"Statement\\\":[]}",
  "assumeRoleName": "test",
  "publicAccessType": "public",
  "enableCustomVpcWhitelist": true,
  "urls": {
    "sse": "https://mcpserverinner-pre.cn-zhangjiakou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse",
    "mcp": "https://mcpserverinner-pre.cn-zhangjiakou.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp",
    "vpcSse": "https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/sse",
    "vpcMcp": "https://openapi-mcp-cn.vpc-proxy.aliyuncs.com/accounts/xxxx/custom/xxx/id/xxxx/mcp"
  },
  "requiredRamPolicy": "{\"Version\":\"1\",\"Statement\":[{\"Effect\":\"Allow\",\"Action\":[\"ecs:Describe*\"],\"Resource\":\"*\"}]}"
}

Error codes

HTTP status code

Error code

Error message

Description

400 Missing.Id Id is mandatory for this action.
500 InternalServerError The request has failed due to a temporary failure of the server.
404 NotFound.ApiMcpServer Specified MCP server not found. The MCP service with the specified ID does not exist.

See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.